Create Share Task
curl --request POST \
--url https://api.example.com/api/share/chat/task/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"description": "<string>",
"agent_id": 123,
"files": [
"<string>"
],
"llm_ids": [
"<string>"
],
"memory_similarity_threshold": 1.5,
"agent_type": "standard",
"agent_config": {},
"is_preview": false,
"is_visible": true,
"execution_mode": "<string>",
"process_description": "<string>",
"examples": [
{
"input": "<string>",
"output": "<string>"
}
]
}
'import requests
url = "https://api.example.com/api/share/chat/task/create"
payload = {
"title": "<string>",
"description": "<string>",
"agent_id": 123,
"files": ["<string>"],
"llm_ids": ["<string>"],
"memory_similarity_threshold": 1.5,
"agent_type": "standard",
"agent_config": {},
"is_preview": False,
"is_visible": True,
"execution_mode": "<string>",
"process_description": "<string>",
"examples": [
{
"input": "<string>",
"output": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
description: '<string>',
agent_id: 123,
files: ['<string>'],
llm_ids: ['<string>'],
memory_similarity_threshold: 1.5,
agent_type: 'standard',
agent_config: {},
is_preview: false,
is_visible: true,
execution_mode: '<string>',
process_description: '<string>',
examples: [{input: '<string>', output: '<string>'}]
})
};
fetch('https://api.example.com/api/share/chat/task/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"task_id": 123,
"title": "<string>",
"status": "<string>",
"created_at": "<string>",
"model_id": "<string>",
"small_fast_model_id": "<string>",
"visual_model_id": "<string>",
"compact_model_id": "<string>",
"model_name": "<string>",
"small_fast_model_name": "<string>",
"visual_model_name": "<string>",
"compact_model_name": "<string>",
"execution_mode": "<string>",
"channel_id": 123,
"channel_name": "<string>",
"agent_id": 123,
"agent_name": "<string>",
"agent_logo_url": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Share
Create Share Task
POST
/
api
/
share
/
chat
/
task
/
create
Create Share Task
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Create task request
Show child attributes
Show child attributes
Response
Successful Response
Create task response
⌘I

